Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlasq4

    java.lang.Object
      org.netlib.lapack.Dlasq4

    public class Dlasq4

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLASQ4 computes an approximation TAU to the smallest eigenvalue
     *  using values of d from the previous transform.
     *
     *  I0    (input) INTEGER
     *        First index.
     *
     *  N0    (input) INTEGER
     *        Last index.
     *
     *  Z     (input) DOUBLE PRECISION array, dimension ( 4*N )
     *        Z holds the qd array.
     *
     *  PP    (input) INTEGER
     *        PP=0 for ping, PP=1 for pong.
     *
     *  N0IN  (input) INTEGER
     *        The value of N0 at start of EIGTEST.
     *
     *  DMIN  (input) DOUBLE PRECISION
     *        Minimum value of d.
     *
     *  DMIN1 (input) DOUBLE PRECISION
     *        Minimum value of d, excluding D( N0 ).
     *
     *  DMIN2 (input) DOUBLE PRECISION
     *        Minimum value of d, excluding D( N0 ) and D( N0-1 ).
     *
     *  DN    (input) DOUBLE PRECISION
     *        d(N)
     *
     *  DN1   (input) DOUBLE PRECISION
     *        d(N-1)
     *
     *  DN2   (input) DOUBLE PRECISION
     *        d(N-2)
     *
     *  TAU   (output) DOUBLE PRECISION
     *        This is the shift.
     *
     *  TTYPE (output) INTEGER
     *        Shift type.
     *
     *  Further Details
     *  ===============
     *  CNST1 = 9/16
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Field Summary
`static double` | `g`

Constructor Summary
`Dlasq4()`

Method Summary
`static void` | `dlasq4(int i0, int n0, double[] z, int _z_offset, int pp, int n0in, double dmin, double dmin1, double dmin2, double dn, double dn1, double dn2, doubleW tau, intW ttype)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### g

    public static double g

Constructor Detail

### Dlasq4

    public Dlasq4()

Method Detail

### dlasq4

    public static void dlasq4(int i0,
                              int n0,
                              double[] z,
                              int _z_offset,
                              int pp,
                              int n0in,
                              double dmin,
                              double dmin1,
                              double dmin2,
                              double dn,
                              double dn1,
                              double dn2,
                              doubleW tau,
                              intW ttype)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD